#pragma once

#include "CoreMinimal.h"
#include "InteractionDefinition.h"
#include "S42P01HuskInteraction.generated.h"

UCLASS(Blueprintable, Abstract, EditInlineNew, meta=(BlueprintSpawnableComponent))
class THES42_API US42P01HuskInteraction : public UInteractionDefinition
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Replicated)
	bool _isIllusionActive;

public:
	virtual void GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const override;

public:
	US42P01HuskInteraction();
};

FORCEINLINE uint32 GetTypeHash(const US42P01HuskInteraction) { return 0; }
